Bug 1305449 - Hidden button
Hidden button
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: equalx (Show other bugs)
25
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 04:45 EST by Fernando
Modified: 2017-12-12 06:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:06:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The pictures. (112.76 KB, application/pdf)
2016-02-08 04:45 EST, Fernando
no flags Details

  None (edit)
Description Fernando 2016-02-08 04:45:16 EST
Created attachment 1122125 [details]
The pictures.

Description of problem:

The toggle preamble button is hidden. You don't notice it's there unless you hover over it.

Version-Release number of selected component (if applicable):

EqualX 0.7.1 in Fedora 23 under Gnome

How reproducible:

Always.

Steps to Reproduce:

1. Open EqualX
2. Hover on the left of the 'Refresh' button
3. Then you'll see that the usual square appears, showing that that area is a button.

Actual results:

You don't see the button unless you know it's there, and this is particularly bad in this case since AFAIK it's not possible to access this functionality from the menus.

Expected results:

There should be a symbol or icon in the button indicating that it's there.

Additional info:

Three pictures in a file. Two of them are screenshots showing how EqualX looks in my system, one of them with the hidden buttom, and the other one with the square when hovering. The third picture, from Google images, shows how it should look like.

Thanks for packing this useful piece of software for my favorite distro!
Comment 1 Martin Gieseking 2016-02-09 04:05:41 EST
I currently can't reproduce the issue. If I switch to Gnome (default theme), the arrow is still there. So I guess, the missing symbol on your system is related to the selected theme that probably doesn't provide a corresponding icon. Please verify this by temporarily switching to other ones.
Comment 2 Fernando 2016-11-24 05:33:45 EST
Hi Martin, sorry for coming back to this that late. I've unsuccessfully tried you suggestions. I've also checked the file mainwindow.ui, and I think that the button where I'm missing the arrow pointing down corresponds to the following piece of code:

          <item>
           <widget class="QToolButton" name="buttonShowPreamble">
            <property name="sizePolicy">
             <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
              <horstretch>0</horstretch>
              <verstretch>0</verstretch>
             </sizepolicy>
            </property>
            <property name="toolTip">
             <string>Toggle Preamble</string>
            </property>
            <property name="text">
             <string>Preamble</string>
            </property>
            <property name="checkable">
             <bool>true</bool>
            </property>
            <property name="autoRaise">
             <bool>true</bool>
            </property>
            <property name="arrowType">
             <enum>Qt::DownArrow</enum>
            </property>
           </widget>
          </item>

That Qt::DownArrow does nothing in my standard Fedora Gnome box. I don't really know how Qt works, so I'm unable to figure out if this corresponds to an icon I should put somewhere. I haven't found the arrow from the Ubuntu picture anywhere in the resources folder. I'm willing to help to improve the situation, so please let me know if I can do something.

I've also noticed a more serious bug (I didn't before because I don't use that). The symbols toolbar doesn't appear. (One can see it in the Ubuntu pics). Should I open another bug?
Comment 3 Fedora End Of Life 2016-11-24 10:27:13 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-11-16 14:07:02 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-12-12 06:06:32 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.